#ifndef __LIGHT_H__
#define __LIGHT_H__

#include "shader.h"

namespace xrt
{
	class Light: public Shader
	{
	public:
		Light(): shadows_( false ) {}
		virtual bool isAmbient() { return false; }
		bool shadows() { return shadows_; }
		void shadows( bool enabled ) { shadows_ = enabled; }
		virtual unsigned int samples() { return 1; }
	protected:
		bool shadows_;
	};
}

#endif //__LIGHT_H__